var F = {};
F.itc = {};
F.itc.echartsOption = {
    title: {
        show:false,
        padding:0,
        text: '历史收益率'
    },
    legend: {
        data:['历史收益率']
    },
    animation:false,
    toolbox: {
        feature: {
            saveAsImage: {}
        }
    },
    grid: {
        left: '10px',
        right: '5px',
        bottom: '10px',
        top:'8px',
        containLabel: true
    },
    xAxis : [
        {
            type : 'category',
            boundaryGap : false,
            data : [{
                value:'2017-07-24',
                textStyle:{
                    color:'#8e8e93',
                    fontSize:11,
                    align:'left'
                }
            },'','','','','','2017-07-25'],
            axisLabel:{
                textStyle:{
                    color:'#8e8e93',
                    fontSize:11,
                    align:'right'
                },
                interval:0,
                margin:15,
                formatter: function (value, index) {
                    return value;
                }
            },
            axisLine: {            // 坐标轴线
                lineStyle: {       // 属性lineStyle控制线条样式
                    color: '#f6f6f7'
                },
                show:true
            },
            axisTick: {            // 坐标刻度
                show:false
            },
            splitLine: {           // 分隔线
                interval:30,
                show:true,
                lineStyle: {       // 属性lineStyle（详见lineStyle）控制线条样式
                    color: ['#f6f6f7']
                }
            }
        }
    ],
    yAxis : [
        {
            type : 'value',
            splitLine: {           // 分隔线
                lineStyle: {       // 属性lineStyle（详见lineStyle）控制线条样式
                    color: ['#f6f6f7'],
                    type:'dashed'  //'solid'  'dashed'  'dotted'
                }
            },
            axisLine: {            // 坐标轴线
                show:false,
                lineStyle: {       // 属性lineStyle控制线条样式
                    color: '#f6f6f7'
                }
            },
            axisLabel:{
                // inside:true,
                textStyle:{
                    color:'#8e8e93',
                    baseline:'middle',
                    fontSize:11
                },
                formatter: function (value, index) {
                    return value+'%';
                }
            },
            axisTick:{
                show:false
            },
            splitNumber:4
        }
    ],
    series : [
        {
            name:'基智魔方收益率',
            type:'line',
            // stack: '总量',
            data:[],
            areaStyle: {
                normal: {
                    color:'transparent'
                },
                smooth:true
            },
            lineStyle:{
                normal:{
                    width:1,
                    color:'#FD5656'
                }
            },
            animation:false,
            itemStyle:{
                normal : {
                    color:'#FD5656',
                    lineStyle:{
                        color:'#FD5656'
                    }
                }
            },
            showSymbol :false
        },
        {
            name:'全账户收益率',
            type:'line',
            // stack: '总量',
            data:[],
            animation:false,
            areaStyle: {
                normal: {
                    color:'transparent'
                },
                smooth:true
            },
            lineStyle:{
                normal:{
                    width:1,
                    color:'#589DFC'
                }
            },
            itemStyle:{
                normal : {
                    color:'#589DFC',
                    lineStyle:{
                        color:'#589DFC'
                    }
                }
            },
            showSymbol :false
        }
    ]
};

//智能定投和普通定投的区别，以中证500为例
F.itc.drawChart = function(){

    //没登录的情况下只展示组合收益
    var diffRate = function(){
        var param = {};
        Com.ajax({
            "url":Com.getOrigin()+'/gsfinancing/ofschedule/compAipAndFipProfit/1.0',
            "data":param,
            "type":"post",
            "dataType":"json",
            "success":function(d){
                if (d != null && d.result[0].code == 0) {
                    if(d.data.length>0){
                        d.data.reverse();
                    }
                    //清空echarts的值
                    F.itc.echartsOption.xAxis[0].data = [];
                    F.itc.echartsOption.series[0].data = [];//智能定投收益
                    F.itc.echartsOption.series[1].data = [];//普通定投收益
                    for (var i=0,len=d.data.length;i<len;i++) {
                        F.itc.echartsOption.series[0].data[i] = d.data[i].aipProfit*1;//智能定投收益
                        F.itc.echartsOption.series[1].data[i] = d.data[i].fixProfit*1;//普通定投收益
                        //x轴日期的第一个值需要居左，需要特殊处理
                        if (i==0) {
                            F.itc.echartsOption.xAxis[0].data[i] = {
                                value:template.helpers.dateFormat(d.data[i].statDate,'yyyy-MM-dd'),
                                textStyle:{
                                    color:'#8e8e93',
                                    fontSize:11,
                                    align:'left'
                                }
                            };
                            //x轴日期的最后一个值需要居右
                        }else if(i==len-1) {
                            F.itc.echartsOption.xAxis[0].data[i] = template.helpers.dateFormat(d.data[i].statDate,'yyyy-MM-dd');

                            //x轴日期只显示首末两个值，其他都置空
                        }else{
                            F.itc.echartsOption.xAxis[0].data[i] =  '';
                        }

                    }
                    //坐标轴在 grid 区域中的分隔线
                    F.itc.echartsOption.xAxis[0].splitLine.interval = Math.floor(d.data.length-1);

                    var jdtzChart = echarts.init(document.getElementById('chart_main'));
                    jdtzChart.clear();
                    jdtzChart.setOption(F.itc.echartsOption,true);
                }else if(d.result[0].code == '11' || d.result[0].code == '18' || d.result[0].code == '19'){
                    return false;
                }else{
                    Com.nativeToast(d.result[0].code+':'+d.result[0].msg);
                }
            },
            "isTradeLogin":false,
            "error":function(){
                Com.ajaxLoaded();
                Com.showNativeAlert('','网络不给力|compAipAndFipProfit',['确定'],'')
            }
        });
    };

    diffRate();
};

/*智能定投首页*/
function zndtIndexInit(){
    //返回刷新
    Com.gobackRefreshPage(true,getAudioSubject);
    //设置标题
    Com.setWebviewTitle('',{"title":'定投专区',"bgColor":"2F569E"},true);

    //获取智能定投
    getPopularDtList();

    //获取指数定投
    getPopularZsDtList();

    //智能定投和普通定投的区别，以中证500为例
    //F.itc.drawChart();

    //获取音频专题
    getAudioSubject();

    //跳转到月薪理财
    $(document).on('click','#yxlcgo',function(){
        window.location.href = Com.getOrigin()+'/asset/mfdt/pages/yxlc_adver.html';
    });

    //智能定投收益说明
    $(document).on('click','.zndtnhsm',function(){
        var ratetype = $(this).attr('ratetype');
        var stryaer = parseInt(ratetype);
        var splitStr =splitStrHandle();
        Com.showScreenMask('收益率说明','智能定投年化：近'+stryaer+'年模拟智能定投复合年均收益率的缩写。'+splitStr+'普通定投年化：近'+stryaer+'年模拟普通定投复合年均收益率的缩写。'+splitStr+splitStr+'计算公式：'+splitStr+'按每月投资一次来计算，不包含交易手续费。智能定投收益率计算公式'+splitStr+'C1*(1+r/12) ^n +C2*(1+r/12)^(n-1)+... +Cn(1+r/12) ^1=NAVn'+splitStr+splitStr+'（n为投资期数，NAVn为第n月期末市值，r为年化收益率。Ci为第i期投入金额）'+splitStr+splitStr+'普通定投与智能定投计算公式相同。其中普通定投C1=C2=Cn'+splitStr+splitStr+'模拟历史业绩不代表基金投资收益，且模拟数据未考虑手续费、通货膨胀等因素。投资者应认真阅读拟投资基金的法律文件，了解基金的风险收益特征，并充分了解基金定投和银行零存整取等储蓄方式的区别。基金定投是引导投资者进行长期投资、平均投资成本的一种简单易行的投资方式，但是基金定投并不能规避基金投资固有风险，不能保证投资者获得收益。国信证券为基金销售机构，对基金管理人的投资运作不承担任何责任。敬请注意投资风险。');
    });

    //跟踪指数估值说明
    $(document).on('click','.gzgzsm',function(){
        var splitStr =splitStrHandle();
        Com.showScreenMask('跟踪指数估值','以指数市盈率为基准，计算当前市盈率处于最近5年（不足5年的，取最大可取长度数据进行统计）的百分位，得出的估值区间。'+splitStr+splitStr+'区间百分位（S)与估值区间对应一览：'+splitStr+'S ≤ 20%：低估区'+splitStr+'20%< S ≤40%：较低估区'+splitStr+'40%< S ≤60%：正常区'+splitStr+'60%< S ≤80%：较高估区'+splitStr+'80%< S ≤100%：高估区'+splitStr+splitStr+'不同统计区间，估值百分位可能存在较大差异。不同指数可能适用不同的估值指标进行评价。'+splitStr+splitStr+'数据均来源于恒生聚源、wind等合法公开的信息渠道，我公司对这些信息的准确性及完整性不做任何保证。投资有风险，资讯仅供参考 ，不作为具体推荐 ，投资者应自主做出投资决策并自行承担投资风险。');
    });

    //定投年化说明
    $(document).on('click','.dtnhsm',function(){
        var splitStr =splitStrHandle();
        Com.showScreenMask('定投年化','定投年化：近5年模拟普通定投（定期定额投资）复合年均收益率的缩写。'+splitStr+splitStr+'计算公式：'+splitStr+'按每月投资一次来计算，不包含交易手续费。收益率计算公式'+splitStr+'C1*(1+r/12)^n +C2*(1+r/12)^(n-1)+... '+splitStr+'+Cn(1+r/12)^1=NAVn'+splitStr+'（n为投资期数，NAVn为第n月期末市值，r为年化收益率。Ci为第i期投入金额）'+splitStr+splitStr+'其中C1=C2=Cn。'+splitStr+splitStr+'基金定投模拟历史业绩不代表基金投资收益，且模拟数据未考虑手续费、通货膨胀等因素。投资人应认真阅读拟投资基金的法律文件，了解基金的风险收益特征，并充分了解基金定投和银行零存整取等储蓄方式的区别。基金定投是引导投资人进行长期投资、平均投资成本的一种简单易行的投资方式，但是定期定额投资并不能规避基金投资固有风险，不能保证投资人获得收益。国信证券为基金销售机构，对基金管理人的投资运作不承担任何责任。敬请注意投资风险。');
    });

    //指数定投栏目说明
    $(document).on('click','.rqjxsm',function(){
        var splitStr =splitStrHandle();
        Com.showScreenMask('说明','筛选原则：'+splitStr+splitStr+'a.普通定投近5年年化收益率排名靠前，且规模大于1亿的场外指数基金。'+splitStr+splitStr+'b.对应的指数估值为：正常区、较低估区、低估区以内'+splitStr+splitStr+'若以上筛选结果为0，则展示：'+splitStr+'普通定投近5年年化收益率排名靠前，且规模大于1亿的场外债券型指数基金。'+splitStr+splitStr+'基金定投模拟历史业绩不代表基金投资收益，且模拟数据未考虑手续费、通货膨胀等因素。投资人应认真阅读拟投资基金的法律文件，了解基金的风险收益特征，并充分了解基金定投和银行零存整取等储蓄方式的区别。基金定投是引导投资人进行长期投资、平均投资成本的一种简单易行的投资方式，但是定期定额投资并不能规避基金投资固有风险，不能保证投资人获得收益。国信证券为基金销售机构，对基金管理人的投资运作不承担任何责任。敬请注意投资风险。');
    });
    //跳转到智能定投排行
    $(document).on('click','#itc_fund_more',function(){
        try
        {
            TalkingData.onEventWithLabel("理财",'理财产品-定投专区-智能定投-更多基金');
        }
        catch(err) {}
        Com.newWebViewOpenPage('',{"pageUrl":Com.getOrigin()+'/asset/mfund/pages/itc_fund_rank.html?ranktype=1',"weburl":Com.getOrigin()+'/asset/mfund/pages/itc_fund_rank.html?ranktype=1'});
    });

    //跳转到基金详情
    $(document).on('click','.openfunddetail',function(){
        var ofcode = $(this).attr('ofcode');
        var ofname = $(this).attr('ofname');
        try
        {
            TalkingData.onEventWithLabel("理财",'理财产品-定投专区-智能定投-基金详情-'+ofcode+'-'+ofname);
        }
        catch(err) {}

        Com.newWebViewOpenPage('',{"pageUrl":Com.getOrigin()+'/asset/mfund/pages/fund_details.html?ofcode='+ofcode,"weburl":Com.getOrigin()+'/asset/mfund/pages/fund_details.html?ofcode='+ofcode},'1');

        var datatd = $(this).attr('data-td');
        if(datatd!=''){
            tdstr(datatd);
        }
    });

    //跳转到了解更多
    $(document).on('click','#know_more',function(){
        var ofcode = $(this).attr('ofcode');
        Com.newWebViewOpenPage('',{"pageUrl":Com.getOrigin()+'/asset/goldsun_mlc/itc_dt/pages/know_more.html',"weburl":Com.getOrigin()+'/asset/goldsun_mlc/itc_dt/pages/know_more.html'});
    });

    //跳转到音频专题
    $(document).on('click','#audio_more',function(){
        Com.newWebViewOpenPage('',{"pageUrl":Com.getOrigin()+'/asset/goldsun_mlc/fcaudio/pages/audio_list.html',"weburl":Com.getOrigin()+'/asset/goldsun_mlc/fcaudio/pages/audio_list.html'});
    });

    //跳转到设置定投页面
    $(document).on('click','.setdt',function(){
        var that = $(this);
        var ofcode = $(this).attr('ofcode');
        var tacode = $(this).attr('tacode');
        var ofname = $(this).attr('ofname');
        var smartflag = $(this).attr('smartflag');
        var datatd = $(this).attr('data-td');
        try
        {
            TalkingData.onEventWithLabel("理财",'理财产品-定投专区-智能定投-定投按钮-'+ofcode+'-'+ofname);
        }
        catch(err) {}

        if(datatd!=''){
            tdstr(datatd);
        }

        var  clickHandle =function(){
            if(smartflag=='1'){
                intellect_checkUserCanBuy(ofcode,tacode,that,'1');//定投
            }else{
                fund_checkUserCanBuy(ofcode,tacode,that,'1');
            }
        };
        Com.actionLogin(clickHandle);
    });

    //跳转到音频播放
    $(document).on('click','.ad_zt_ec',function(){
        var playid=$(this).attr('playid');
        Com.newWebViewOpenPage('',{"pageUrl":Com.getOrigin()+'/asset/goldsun_mlc/fcaudio/pages/audio_play.html?playid='+playid,"weburl":Com.getOrigin()+'/asset/goldsun_mlc/fcaudio/pages/audio_play.html?playid='+playid});
    });

    //导航新增定投
    //Com.rightTopBtn('3','我的定投',gomyDT);
    /*右上角分享*/
    /*Com.rightTopBtn('1','',function(){
        var param  = {netAddr:'',financetype:'',token:'',ofcode:'',sharetype:'2','pagefrom':'1'};
        if(typeof shareJsonObj!='undefined'){
            shareJsonObj.initMethod(param);
        }
    });*/

    //右上角搜索
    Com.rightTopBtn('4', '1', function () {});

    /*右上角分享*/
    Com.rightTopBtn('8','',function(){
        var param  = {netAddr:'',financetype:'',token:'',ofcode:'',sharetype:'2','pagefrom':'1'};
        if(typeof shareJsonObj!='undefined'){
            shareJsonObj.initMethod(param);
        }
    });


    //跳转到我的定投
    $(document).on('click','.opendtplan',function(){
        gomyDT();
    });

    //客服入口
    new Drag('fixedrobot');
    //接入客服模块
    robotAction('','','','','','9905','ztl019','8','fixedrobot');

    /*582*/

    //检查banner是否需要显示
    closeBanner('open');

    //指数定投说明跳转到基础篇04
    $(document).on('click','#gozsdtsm',function(){
        /*var playid='';

        var localhostType = Com.localhostType();

        if(localhostType=='dev' || localhostType=='test'){
            //测试环境这一篇的id是8
            playid='8';
        }else{
            //生产环境这一篇的id是7
            playid='7';
        }*/
        var playid='7';
        Com.newWebViewOpenPage('',{"pageUrl":Com.getOrigin()+'/asset/goldsun_mlc/fcaudio/pages/audio_play.html?playid='+playid,"weburl":Com.getOrigin()+'/asset/goldsun_mlc/fcaudio/pages/audio_play.html?playid='+playid});
    });

    //智能定投说明跳转到说明页
    $(document).on('click','#gozndtsm',function(){
        Com.newWebViewOpenPage('',{"pageUrl":Com.getOrigin()+'/asset/mfdt/pages/dt_sm.html',"weburl":Com.getOrigin()+'/asset/mfdt/pages/dt_sm.html'});
    });

    //指数定投排行页
    $(document).on('click','#zsdtmore',function(){
        Com.newWebViewOpenPage('',{"pageUrl":Com.getOrigin()+'/asset/mfund/pages/itc_index_rank.html?onindexrank=1',"weburl":Com.getOrigin()+'/asset/mfund/pages/itc_index_rank.html?onindexrank=1'});
    });

    //智能定投排行页
    $(document).on('click','#zndtmore',function(){
        Com.newWebViewOpenPage('',{"pageUrl":Com.getOrigin()+'/asset/mfund/pages/itc_fund_rank.html?ranktype=1',"weburl":Com.getOrigin()+'/asset/mfund/pages/itc_fund_rank.html?ranktype=1'});
        try
        {
            TalkingData.onEventWithLabel("理财",'定投专区-智能定投-更多');
        }
        catch(err) {}
    });

    //定投排行页
    $(document).on('click','.dtphgo',function(){
        Com.newWebViewOpenPage('',{"pageUrl":Com.getOrigin()+'/asset/mfund/pages/fund_dt_list.html',"weburl":Com.getOrigin()+'/asset/mfund/pages/fund_dt_list.html'});
        try
        {
            TalkingData.onEventWithLabel("理财",'定投专区-定投排行');
        }
        catch(err) {}
    });

    //跳转到月薪定投页面
    $(document).on('click','.yxdtgo',function(){
        Com.newWebViewOpenPage('',{"pageUrl":Com.getOrigin()+'/asset/mfdt/pages/yxlc_adver.html',"weburl":Com.getOrigin()+'/asset/mfdt/pages/yxlc_adver.html'});
        try
        {
            TalkingData.onEventWithLabel("理财",'定投专区-月薪定投');
        }
        catch(err) {}
    });

    //跳转到定投计算器
    $(document).on('click','.dtjsqgo',function(){
        Com.newWebViewOpenPage('',{"pageUrl":Com.getOrigin()+'/asset/mfdt/pages/dt_caculate.html',"weburl":Com.getOrigin()+'/asset/mfdt/pages/dt_caculate.html'});
        try
        {
            TalkingData.onEventWithLabel("理财",'定投专区-定投计算器');
        }
        catch(err) {}
    });

    //跳转到我的定投
    $(document).on('click','.wddtgo',function(){
        Com.actionLogin(function(){
            Com.newWebViewOpenPage('',{"pageUrl":Com.getOrigin()+'/asset/mfdt/pages/plan_ongoing.html',"weburl":Com.getOrigin()+'/asset/mfdt/pages/plan_ongoing.html'});
            try
            {
                TalkingData.onEventWithLabel("理财",'定投专区-我的定投');
            }
            catch(err) {}
        },{},null,'2');

    });

    //banner跳转
    $(document).on('click','#bannergo',function(){
        /*播放id改成跟生产一致了，不用判断环境了*/
        /*var playid='';

        var localhostType = Com.localhostType();

        if(localhostType=='dev' || localhostType=='test'){
            //测试环境这一篇的id是10
            playid='12';
        }else{
            //生产环境这一篇的id是5
            playid='12';
        }*/
        var playid='12';
        //关闭banner并 跳转
        closeBanner('close');
        Com.newWebViewOpenPage('',{"pageUrl":Com.getOrigin()+'/asset/goldsun_mlc/fcaudio/pages/audio_play.html?playid='+playid,"weburl":Com.getOrigin()+'/asset/goldsun_mlc/fcaudio/pages/audio_play.html?playid='+playid});
    });

    //banner关闭
    $(document).on('click','#closebannersm',function(){
        //关闭banner并 跳转
        closeBanner('close');
    });
}

//关闭顶部banner
function closeBanner(type){
    var gobannersm = $('#gobannersm');
    var closeflag='';
    if(type=='close'){
        gobannersm.css('display','none');
        Com.setLocalValue('zh_dtzq_isclose','1');
    }else{
        closeflag = Com.getLocalValue('zh_dtzq_isclose');
        if(closeflag!='1'){
            gobannersm.css('display','block');
        }
    }
}


function gomyDT(){
    Com.actionLogin(function(){
        Com.newWebViewOpenPage('',{"pageUrl":Com.getOrigin()+'/asset/mfdt/pages/plan_ongoing.html'});
    },'','','2');
    /*Com.actionLogin(function(){
        Com.newWebViewOpenPage('',{"pageUrl":Com.getOrigin()+'/asset/mfdt/pages/plan_ongoing.html'});
    });*/
}

//获取人气定投列表
function getPopularDtList(){
    var param = {};
    var ajaxData = function(datajson){
        Com.ajax({
            "url":Com.getOrigin()+'/gsfinancing/ofschedule/getAipZoneList/1.0',
            "data":datajson,
            "type":"post",
            "dataType":"json",
            "success":function(d){
                Com.ajaxLoaded();
                if(d.result[0].code == '0'){
                    var ohtml = template('popularDemo',d);
                    $('#popularList').html(ohtml);
                }
                else if(d.result[0].code == '11' || d.result[0].code == '18' || d.result[0].code == '19'){
                    return false;
                }
                else{
                    Com.showNativeAlert('',d.result[0].msg,['确定'],'');
                }
            },
            "isTradeLogin":false,
            "error":function(){
                Com.ajaxLoaded();
                Com.showNativeAlert('','网络不给力|getAipZoneList',['确定'],'')
            }
        });
    };
    ajaxData(param);
}

//获取音频专题
function getAudioSubject(){
    var param = {};
    param['pageno'] = 0;
    param['pagesize'] = 200;
    var ajaxData = function(datajson){
        Com.ajax({
            "url":Com.getOrigin()+'/gsfinancing/media/getAipMediaList/1.0',
            "data":datajson,
            "type":"post",
            "dataType":"json",
            "success":function(d){
                Com.ajaxLoaded();
                if(d.result[0].code == '0' && typeof d.data!='undefined'){

                    if(typeof d.data !=='undefined' && d.data.length!=0){
                        for(var i = 0;i<d.data.length;i++){
                            //比对一下本地存储的音频id，如果没有则显示new标记
                            d.data[i].hasLocalAudio=hasAudioId(d.data[i].id);
                        }
                        var ohtml = template('audioListDemo',d);
                        $('#audio_list').html(ohtml);
                    }
                }
                else if(d.result[0].code == '11' || d.result[0].code == '18' || d.result[0].code == '19'){
                    return false;
                }
                else{
                    Com.showNativeAlert('',d.result[0].msg,['确定'],'');
                }
            },
            "isTradeLogin":false,
            "error":function(){
                Com.ajaxLoaded();
                Com.showNativeAlert('','网络不给力|getAipMediaList',['确定'],'')
            }
        });
    };
    ajaxData(param);
}

//获取人气精选指数定投
function getPopularZsDtList(){
    var param = {};
    var ajaxData = function(datajson){
        Com.ajax({
            "url":Com.getOrigin()+'/gsfinancing/indexinvest/getScheduleAdvise/1.0',
            "data":datajson,
            "type":"post",
            "dataType":"json",
            "success":function(d){
                /*d={"result":[{"msg":"SYSERR_OK","code":0,"pkg":""}],"popular":[
                 {"tacode":"6","fixedrate":"6.44","indexid":"123456","indexcode":"654321","indexname":"中证500增强","valuation":"1","valuationchn":"较低估区","filterrule":"rule2","ofcode":"111111"},
                 {"tacode":"6","fixedrate":"6.44","indexid":"123456","indexcode":"654321","indexname":"中证500增强","valuation":"1","valuationchn":"较低估区","filterrule":"rule2","ofcode":"111111"},
                 {"tacode":"6","fixedrate":"6.44","indexid":"123456","indexcode":"654321","indexname":"中证500增强","valuation":"1","valuationchn":"较低估区","filterrule":"rule2","ofcode":"111111"},
                 {"tacode":"6","fixedrate":"6.44","indexid":"123456","indexcode":"654321","indexname":"中证500增强","valuation":"1","valuationchn":"较低估区","filterrule":"rule2","ofcode":"111111"},
                 {"tacode":"6","fixedrate":"6.44","indexid":"123456","indexcode":"654321","indexname":"中证500增强","valuation":"1","valuationchn":"较低估区","filterrule":"rule2","ofcode":"111111"}
                 ],"valuationselect":[
                 {"tacode":"6","fixedrate":"6.44","indexid":"123456","indexcode":"654321","indexname":"中证500增强","valuation":"1","valuationchn":"较低估区","filterrule":"rule2","ofcode":"111111"},
                 {"tacode":"6","fixedrate":"6.44","indexid":"123456","indexcode":"654321","indexname":"中证500增强","valuation":"1","valuationchn":"较低估区","filterrule":"rule2","ofcode":"111111"},
                 {"tacode":"6","fixedrate":"6.44","indexid":"123456","indexcode":"654321","indexname":"中证500增强","valuation":"1","valuationchn":"较低估区","filterrule":"rule2","ofcode":"111111"},
                 {"tacode":"6","fixedrate":"6.44","indexid":"123456","indexcode":"654321","indexname":"中证500增强","valuation":"1","valuationchn":"较低估区","filterrule":"rule2","ofcode":"111111"},
                 {"tacode":"6","fixedrate":"6.44","indexid":"123456","indexcode":"654321","indexname":"中证500增强","valuation":"1","valuationchn":"较低估区","filterrule":"rule2","ofcode":"111111"}
                 ]}*/


                Com.ajaxLoaded();
                if(d.result[0].code == '0'){
                    var ohtml = template('zsdtDemo',d);
                    $('#zsdtList').html(ohtml);
                }
                else if(d.result[0].code == '11' || d.result[0].code == '18' || d.result[0].code == '19'){
                    return false;
                }
                else{
                    Com.showNativeAlert('',d.result[0].msg,['确定'],'');
                }
            },
            "isTradeLogin":false,
            "error":function(){
                Com.ajaxLoaded();
                Com.showNativeAlert('','网络不给力|getAipZoneList',['确定'],'')
            }
        });
    };
    ajaxData(param);
}

//全屏说明内容段落分隔符
function splitStrHandle(){
    var clientType =Com.clientType();
    var splitStr='<br/>';
    if(clientType=='ios'){
        splitStr='\n';
    }
    return splitStr;
}


function tdstr(data){
    if(!data) return;
    var tdArr = data.split('$');
    for(var i = 0, len = tdArr.length; i < len; i++){
        TalkingData && TalkingData.onEventWithLabel('理财', tdArr[i]);
    }
}

