/**
 * Created by guosen on 2018/12/17.
 */

import et from  '__ROOTPATH__/H5_common/asset/common_tool/event.js';
import $ from  '__ROOTPATH__/H5_common/asset/common_tool/zepto.js';
import Com from '__ROOTPATH__/H5_common/asset/common_tool/app_common_bridge.js';
import Vue from 'vue';
import tool_fun from '__ROOTPATH__/H5_common/asset/common_tool/common_fun.js';
import Dialog from '__ROOTPATH__/H5_common/asset/common_tool/components/dialog/';//替换新弹窗组件原组件有兼容性

require('__ROOTPATH__/H5_common/asset/common_tool/common.css');
require('../css/common.scss');
require('../css/apply_content.scss');
const applySureTpl = require('../tpl/apply_sure.html');


const dataObj = {
	code: tool_fun.getParam('code'),
	type: tool_fun.getParam('type'),
	name: tool_fun.getParam('name'),
	prcie: tool_fun.getParam('price'),
	count: tool_fun.getParam('count'),
	status: tool_fun.getParam('status'),
	sid: tool_fun.getParam('sid'),
	market: tool_fun.getParam('market'),

};
const configData = {
	mapStatus: {
		I: '公开发行询价',
		F: '公开发行申购',
		i: '公开发行询价',
		f: '公开发行申购'
	},
	sureApplyUrl: '/zebra/gstrade/neeq/tradeConfirm/1.0',
	isLoading: false
};
et.eventBind();
const exports = {
	init: function () {
		new Vue({
			el: '#domDiv',
			data: dataObj,
			methods:{
				retMoney: function () {
					return Number(dataObj.prcie) * Number(dataObj.count)
				},
				retStatus: function (ret) {
					return configData.mapStatus[ret] ? configData.mapStatus[ret] : '--';
				}
			},
			template: '<div class="apply-pre">' + applySureTpl + '</div>'
		});
		exports.bindEvent();
		Com.setWebviewTitle('', {'title': '申报确认'});
	},
	bindEvent: function () {
		et.on('submit.buy', function () {
			if(!dataObj.code) return;
			if(dataObj.type == 'issue') {
				Dialog.confirm({
					title: '',
					content: '您参与本次询价即视为授权全国中小企业股份转让系统向发行人及其主承销商提供其报价信息及姓名、身份证号等必要身份信息。',
					confirmText: '确定',
					cancelText: '取消',
					onConfirm: () => {
						if(!configData.isLoading) {
							Com.ajaxLoading();
							configData.isLoading = true;
							exports.doApply();
						}

					},
					onCancel: () => {

					}
				})
			} else {
				if(!configData.isLoading) {
					Com.ajaxLoading();
					configData.isLoading = true;
					exports.doApply();
				}
			}

		})
	},
	doApply: function () {
		let req = {
			market: dataObj.market,
			secuid: dataObj.sid,
			stkcode: dataObj.code,
			bsflag: dataObj.type == 'issue' ? '2c' : '2d',
			price: dataObj.prcie,
			qty: dataObj.count
		}
		exports.getData(configData.sureApplyUrl, req, function (data) {
			if(data.result && data.result[0].code == 0) {
				Dialog.alert({
					title: '',
					content: '委托已提交，请到委托查询中核查。',
					confirmText: '确定',
					onConfirm: () => {
						let url = '/asset/gzjy/pages/gzwtcx.html';
						Com.newWebViewOpenPage('', {'pageUrl': url, 'weburl': url});
					}

				})
			} else {
				Com.showNativeAlert('', data.result && data.result[0] && data.result[0].msg, ['确定'], '');
			}

		})
	},
	getData: function (url, reqParm, callback) {
		Com.ajax({
			'url': url,
			'data': reqParm,
			'type': 'post',
			'dataType': 'json',
			'success': function(data){
				configData.isLoading = false;
				Com.ajaxLoaded();
				callback && callback(data);
			},
			'isTradeLogin': true,//是否需要交易登录
			isNeedSign:true,
			'error': function (data, type, err) {
				configData.isLoading = false;
				Com.ajaxLoaded();
				if(type != 'abort') {
					Com.showNativeAlert('', '网络不给力' + data.status + ',' + data.statusText + ',' + data.readyState + '|'+ type + '|' + err, ['确定'], '');
				}
			}
		});
	},
}

exports.init();
